ephy-cookie-manager
3
EPIPHANY Library

# ephy-cookie-manager

## Synopsis

    #define             EPHY_COOKIE_MANAGER_IFACE           (k)
    #define             EPHY_IS_COOKIE_MANAGER_IFACE        (k)
    #define             EPHY_TYPE_COOKIE
    EphyCookie*         ephy_cookie_new                     (void);
    EphyCookie*         ephy_cookie_copy                    (const EphyCookie *cookie);
    void                ephy_cookie_free                    (EphyCookie *cookie);
    GType               ephy_cookie_manager_get_type        (void);
    GList*              ephy_cookie_manager_list_cookies    (EphyCookieManager *manager);
    void                ephy_cookie_manager_remove_cookie   (EphyCookieManager *manager,
                                                             const EphyCookie *cookie);
    void                ephy_cookie_manager_clear           (EphyCookieManager *manager);

## Description

## Details

### EPHY_COOKIE_MANAGER_IFACE()

    #define             EPHY_COOKIE_MANAGER_IFACE(k)

`k` :

### EPHY_IS_COOKIE_MANAGER_IFACE()

    #define             EPHY_IS_COOKIE_MANAGER_IFACE(k)

`k` :

### EPHY_TYPE_COOKIE

    #define             EPHY_TYPE_COOKIE

### ephy_cookie_new ()

    EphyCookie*         ephy_cookie_new                     (void);

Returns :

  a new EphyCookie.

### ephy_cookie_copy ()

    EphyCookie*         ephy_cookie_copy                    (const EphyCookie *cookie);

`cookie` :

  a EphyCookie

Returns :

  a copy of `cookie`.

### ephy_cookie_free ()

    void                ephy_cookie_free                    (EphyCookie *cookie);

Frees `cookie`.

`cookie` :

  a EphyCookie

### ephy_cookie_manager_get_type ()

    GType               ephy_cookie_manager_get_type        (void);

Returns :

### ephy_cookie_manager_list_cookies ()

    GList*              ephy_cookie_manager_list_cookies    (EphyCookieManager *manager);

Lists all cookies in the cookies database.

`manager` :

  the EphyCookieManager

Returns :

  the cookies list

### ephy_cookie_manager_remove_cookie ()

    void                ephy_cookie_manager_remove_cookie   (EphyCookieManager *manager,
                                                             const EphyCookie *cookie);

Removes `cookie` from the cookies database. You must free `cookie` yourself.

`manager` :

  the EphyCookieManager

`cookie` :

  a EphyCookie

### ephy_cookie_manager_clear ()

    void                ephy_cookie_manager_clear           (EphyCookieManager *manager);

Clears the cookies database.

`manager` :

  the EphyCookieManager